Bug 164094 - Placeholder for 2.6.x SATA update 20050724-1
Placeholder for 2.6.x SATA update 20050724-1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-07-24 15:01 EDT by Jeff Garzik
Modified: 2013-07-02 22:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:44:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.6.x SATA update 20050724-1 (93.46 KB, patch)
2005-07-24 15:02 EDT, Jeff Garzik
no flags Details | Diff

  None (edit)
Description Jeff Garzik 2005-07-24 15:01:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Tracking bug for SATA update 20050724-1.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. apply patch.
2. boot.
3.
  

Additional info:
Comment 1 Jeff Garzik 2005-07-24 15:02:32 EDT
Created attachment 117108 [details]
2.6.x SATA update 20050724-1
Comment 2 Jeff Garzik 2005-07-24 18:04:22 EDT
Changelog...

Fixes:
* core: detect PATA<->SATA bridges, apply device limits accordingly
  (prevents data/DMA corruption)
* core: improve SATA PHY probing (fixes some previously-not-working setups)
* core: update DMA blacklist
* core: DMA s/g length fixes
* core: PIO overrun fixes
* core: correctly memset() CDB length, not sizeof(cdb length var)
* core: fix completion race (ATA_QCFLAG_ACTIVE)
* core: ->host_stop API change (fixes use-after-iounmap)
* core: fix a few SCSI<->ATA xlat edge cases
* sata_sil: fix FIFO-related corruption
* AHCI: remove incorrect ICH7 PCI ID

Other changes:
* everywhere: add kernel-doc comments
* AHCI: add ATAPI support (currently unused)
* AHCI: add no-op PCI MSI support
* ata_piix: add ESB2 SATA support
* sata_promise: add PDC20619 (TX4000) support
* sata_qstor: add driver (currently NOT built)
* sata_sil: add new PCI ID
* sata_svw: add support for BCM5785 (aka HT1000)
* sata_via: add support for VIA VT6421
Comment 11 Red Hat Bugzilla 2005-10-05 09:44:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.